/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

.peers-page {
    &__actions-bar {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        &__peers-count {
            margin-bottom: theme.$spacing07;

            &__amount {
                font-weight: theme.$fontWeightBold;
                font-size: theme.$fontSizeXXLarge;
                display: block;
            }
        }

        &__buttons{
            gap: 1rem;
            display: flex;
        }
    }

    .text-right {
        text-align: right;
    }

    .sync_result {
        display: block;
    }

    #sync_peers.htmx-request .icon--inline {
        animation: rotate 1.5s linear infinite;
    }

    @keyframes rotate {
        to {
            transform: rotate(360deg);
        }
    }
}
